
Imports Microsoft.PointOfService
Imports System.Text

Public Class Form1
    WithEvents myExplorer As PosExplorer
    WithEvents myScanner As Scanner
    Dim myDisplay As LineDisplay

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        myExplorer = New PosExplorer(Me)
        'Dim device As DeviceInfo = myExplorer.GetDevice("LineDisplay", "myWPD220")
        If device Is Nothing Then
            lstItems.Items.Add("LineDisplay Not Found")
        Else
            myDisplay = myExplorer.CreateInstance(device)

            myDisplay.Open()
            myDisplay.Claim(1000)
            myDisplay.DeviceEnabled = True
            myDisplay.ClearText()
            myDisplay.DisplayText("Welcome to WEPOS/POSfor.NET from SJJ EMS")

        End If

    End Sub

    Private Sub myExplorer_DeviceAddedEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DeviceChangedEventArgs) Handles myExplorer.DeviceAddedEvent
        If (e.Device.Type = "Scanner") Then
            myScanner = myExplorer.CreateInstance(e.Device)
            myDisplay.ClearText()
            myDisplay.DisplayText("New bar-code scanner attached")

            myScanner.Open()
            myScanner.Claim(1000)
            myScanner.DeviceEnabled = True
            myScanner.DataEventEnabled = True
            myScanner.DecodeData = True

        End If
    End Sub

    Private Sub myScanner_DataEvent(ByVal sender As Object, ByVal e As Microsoft.PointOfService.DataEventArgs) Handles myScanner.DataEvent
        Dim myEncoding As New ASCIIEncoding

        myDisplay.ClearText()
        myDisplay.DisplayText(myEncoding.GetString(myScanner.ScanDataLabel))
        lstItems.Items.Add(myEncoding.GetString(myScanner.ScanDataLabel))
        myScanner.DataEventEnabled = True
    End Sub
End Class
