Imports System
Imports System.Text
Imports System.Management
Imports Ex73.ROOT.MICROSOFTPOINTOFSERVICE

Public Class Form1

    Private Sub btnGetPOSDevices_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnGetPOSDevices.Click
        Dim scope As ManagementScope = New ManagementScope("root\microsoftpointofservice")
        scope.Connect()
        Dim devices As POSDevice.POSDeviceCollection = POSDevice.GetInstances(scope, "")
        Dim POSDType As String
        Dim POSSoName As String
        Dim finalString As String
        Dim enabled As String = "N"


        lstPOSDevices.Items.Clear()
        If (devices.Count > 0) Then
            For Each d As POSDevice In devices
                enabled = "N"
                If d.Enabled = True Then
                    enabled = "Y"
                End If
                'Take care of some string formating by padding
                POSDType = d.Type.ToString
                POSSoName = d.SoName.ToString

                finalString = POSDType.PadRight(15) & ControlChars.Tab & POSSoName.PadRight(40) & ControlChars.Tab & enabled.ToString & ControlChars.Tab & d.Path.ToString
                lstPOSDevices.Items.Add(finalString)
            Next
        End If

    End Sub



End Class
