Imports Microsoft.PointOfService
Imports System.Text

Public Class CDtest
    WithEvents myExplorer As PosExplorer
    Dim myCashDrawer As CashDrawer

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        myExplorer = New PosExplorer(Me)
        Dim device As DeviceInfo = myExplorer.GetDevice("CashDrawer", "WASPCD")
        myCashDrawer = myExplorer.CreateInstance(device)

    End Sub

    Private Sub btnOpenCD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOpenCD.Click
        myCashDrawer.Open()
        myCashDrawer.Claim(1000)
        myCashDrawer.DeviceEnabled = True
        myCashDrawer.OpenDrawer()
        myCashDrawer.DeviceEnabled = False
        myCashDrawer.Release()
        myCashDrawer.Close()

    End Sub

End Class
