Imports Microsoft.PointOfService
Imports System.Text

Public Class Form1
    WithEvents myExplor As PosExplorer
    Dim myPrinter As PosPrinter
    Dim myCashDrawer As CashDrawer

    
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        myExplor = New PosExplorer(Me)
        Dim device As DeviceInfo = myExplor.GetDevice("PosPrinter", "WRP8500")
        myPrinter = myExplor.CreateInstance(device)
        myPrinter.Open()
        myPrinter.Claim(1000)
        myPrinter.AsyncMode = True
        myPrinter.DeviceEnabled = True

        Dim device2 As DeviceInfo = myExplor.GetDevice("CashDrawer", "WASPCD")
        myCashDrawer = myExplor.CreateInstance(device2)

    End Sub

    Private Sub btnPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrint.Click
        Dim myString As String
        myString = txtINPUT.Text.Replace("ESC", Chr(27).ToString()) + Chr(13).ToString + Chr(10).ToString
        myPrinter.PrintNormal(PrinterStation.Receipt, myString)
        myPrinter.PrintNormal(PrinterStation.Receipt, Chr(13).ToString + Chr(10).ToString)
        myPrinter.PrintNormal(PrinterStation.Receipt, Chr(13).ToString + Chr(10).ToString)
        myPrinter.PrintNormal(PrinterStation.Receipt, Chr(13).ToString + Chr(10).ToString)
        myPrinter.PrintNormal(PrinterStation.Receipt, Chr(13).ToString + Chr(10).ToString)
        myPrinter.PrintNormal(PrinterStation.Receipt, Chr(13).ToString + Chr(10).ToString)
        myPrinter.PrintNormal(PrinterStation.Receipt, Chr(13).ToString + Chr(10).ToString)
        myPrinter.CutPaper(90)
    End Sub

    Private Sub btnOpenCD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOpenCD.Click
        myPrinter.DeviceEnabled = False
        myPrinter.Release()
        myPrinter.Close()

        myCashDrawer.Open()
        myCashDrawer.Claim(1000)
        myCashDrawer.DeviceEnabled = True
        myCashDrawer.OpenDrawer()
        myCashDrawer.DeviceEnabled = False
        myCashDrawer.Release()
        myCashDrawer.Close()

        myPrinter.Open()
        myPrinter.Claim(1000)
        myPrinter.DeviceEnabled = True

    End Sub
End Class
